## mathgl 1.11.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project( MathGL )
set(CMAKE_VERBOSE_MAKEFILE ON)
option(enable-double "Enable double precision in MathGL library")
option(enable-all "Enable all features")
option(enable-langall "Enable all language interfaces")
option(enable-pthread "Enable POSIX threads support")
option(enable-gsl "Enable gsl support")
option(enable-jpeg "Enable jpeg support")
option(enable-u3d "Enable u3d support")
option(enable-pdf "Enable pdf support")
option(enable-gif "Enable gif support")
option(enable-hdf4 "Enable hdf4 support")
option(enable-hdf5 "Enable hdf5 support")
option(enable-hdf5_18 "Enable hdf5 1.8 support")
option(enable-glut "Enable glut support")
option(enable-fltk "Enable fltk widget")
option(enable-wx "Enable wxWidget widget")
option(enable-qt "Enable Qt4 widget")
option(enable-python "Enable python interface")
option(enable-octave "Enable octave interface")
option(enable-doc "Enable documentation building")
if(enable-double)
    set(use_double 1)
endif(enable-double)
if(enable-all OR enable-gsl)
    set(use_gsl 1)
endif(enable-all OR enable-gsl)
if(enable-all OR enable-pthread)
    set(use_pthread 1)
endif(enable-all OR enable-pthread)
if(enable-all OR enable-jpeg)
    set(use_jpeg 1)
endif(enable-all OR enable-jpeg)
if(enable-all OR enable-u3d OR enable-pdf)
    set(use_u3d 1)
endif(enable-all OR enable-u3d OR enable-pdf)
if(enable-all OR enable-pdf)
    set(use_pdf 1)
endif(enable-all OR enable-pdf)
if(enable-all OR enable-gif)
    set(use_gif 1)
endif(enable-all OR enable-gif)
if(enable-all OR enable-hdf4)
    set(use_hdf4 1)
endif(enable-all OR enable-hdf4)
if(enable-all OR enable-hdf5)
    set(use_hdf5 1)
endif(enable-all OR enable-hdf5)
if(enable-hdf5_18)
    set(use_hdf5_18 1)
endif(enable-hdf5_18)
if(enable-all OR enable-glut)
    set(use_glut 1)
endif(enable-all OR enable-glut)
if(enable-all OR enable-fltk)
    set(use_fltk 1)
endif(enable-all OR enable-fltk)
if(enable-all OR enable-wx)
    set(use_wx 0)
endif(enable-all OR enable-wx)
if(enable-all OR enable-qt)
    set(use_qt 1)
endif(enable-all OR enable-qt)
if(enable-all OR enable-doc)
    set(use_doc 1)
endif(enable-all OR enable-doc)
if(enable-langall OR enable-python)
    set(use_python 1)
endif(enable-langall OR enable-python)
if(enable-langall OR enable-octave)
    set(use_octave 1)
endif(enable-langall OR enable-octave)

include_directories( ${MathGL_SOURCE_DIR}/include )

include(FindOpenGL)
if(NOT OPENGL_FOUND)
	message(SEND_ERROR "Couldn't find OpenGL libraries.")
endif(NOT OPENGL_FOUND)

include(FindPNG)
if(NOT PNG_FOUND)
	message(SEND_ERROR "Couldn't find PNG libraries.")
endif(NOT PNG_FOUND)

find_library(GSL_LIB gsl)
find_library(GSL_CBLAS_LIB gslcblas)
find_path(GSL_INCLUDE_DIR gsl/gsl_fft_complex.h)
if(NOT GSL_LIB OR NOT GSL_CBLAS_LIB OR NOT GSL_INCLUDE_DIR)
	if(use_gsl)
		message(SEND_ERROR "${GSL_LIB}")
		message(SEND_ERROR "${GSL_CBLAS_LIB}")
		message(SEND_ERROR "${GSL_INCLUDE_DIR}")
		message(SEND_ERROR "Couldn't find GSL libraries.")
	endif(use_gsl)
endif(NOT GSL_LIB OR NOT GSL_CBLAS_LIB OR NOT GSL_INCLUDE_DIR)

include(FindThreads)
if(NOT CMAKE_USE_PTHREADS_INIT)
	if(use_pthread)
		message(SEND_ERROR "Couldn't find POSIX threads libraries.")
	endif(use_pthread)
endif(NOT CMAKE_USE_PTHREADS_INIT)

if(use_u3d)
	find_library(U3D_LIB IDTF)
	if(NOT U3D_LIB)
		message(STATUS "Couldn't find U3D libraries.")
	endif(NOT U3D_LIB)
	find_path(U3D_INCLUDE_DIR u3d/SceneConverterLib.h)
	if(NOT U3D_INCLUDE_DIR)
		message(STATUS "Couldn't find U3D headers.")
	endif(NOT U3D_INCLUDE_DIR)
	message(STATUS "Found U3D libraries at: ${U3D_LIB}")
	message(STATUS "Found U3D headers: ${U3D_INCLUDE_DIR}")
endif(use_u3d)

if(use_pdf)
	find_library(HPDF_LIB hpdf)
	if(NOT HPDF_LIB)
		message(STATUS "Couldn't find libHaru.")
	endif(NOT HPDF_LIB)
	find_path(HPDF_INCLUDE_DIR hpdf_u3d.h)
	if(NOT HPDF_INCLUDE_DIR)
		message(STATUS "Couldn't find headers of u3d-enabled version of libHaru.")
	endif(NOT HPDF_INCLUDE_DIR)
	message(STATUS "Found libHaru library at: ${HPDF_LIB}")
	message(STATUS "Found libHaru headers: ${HPDF_INCLUDE_DIR}")
endif(use_pdf)

include(FindJPEG)
if(NOT JPEG_FOUND)
	if(use_jpeg)
		message(SEND_ERROR "Couldn't find JPEG libraries.")
	endif(use_jpeg)
endif(NOT JPEG_FOUND)

include(FindGIF)
if(NOT GIF_FOUND)
	if(use_gif)
		message(SEND_ERROR "Couldn't find GIF libraries.")
	endif(use_gif)
endif(NOT GIF_FOUND)

find_library(HDF4_LIB df mfhdf)
find_path(HDF4_INCLUDE_DIR hdf/mfhdf.h)
if(NOT HDF4_LIB OR NOT HDF4_INCLUDE_DIR)
	if(use_hdf4)
		message(SEND_ERROR "${HDF4_LIB}")
		message(SEND_ERROR "${HDF4_INCLUDE_DIR}")
		message(SEND_ERROR "Couldn't find HDF4 libraries.")
	endif(use_hdf4)
endif(NOT HDF4_LIB OR NOT HDF4_INCLUDE_DIR)

find_library(HDF5_LIB hdf5)
find_path(HDF5_INCLUDE_DIR hdf5.h)
if(NOT HDF5_LIB OR NOT HDF5_INCLUDE_DIR)
	if(use_hdf5 OR use_hdf5_18)
		message(SEND_ERROR "${HDF5_LIB}")
		message(SEND_ERROR "${HDF5_INCLUDE_DIR}")
		message(SEND_ERROR "Couldn't find HDF5 libraries.")
	endif(use_hdf5 OR use_hdf5_18)
endif(NOT HDF5_LIB OR NOT HDF5_INCLUDE_DIR)

include(FindGLUT)
if(NOT GLUT_FOUND)
	if(use_glut)
		message(SEND_ERROR "Couldn't find GLUT libraries.")
	endif(use_glut)
endif(NOT GLUT_FOUND)

include(FindFLTK)
if(NOT FLTK_FOUND)
	if(use_fltk)
		message(SEND_ERROR "Couldn't find FLTK libraries.")
	endif(use_fltk)
endif(NOT FLTK_FOUND)

FIND_PACKAGE(wxWidgets COMPONENTS base core gl)
if(NOT wxWidgets_FOUND)
	if(use_wx)
		message(SEND_ERROR "Couldn't find wxWidgets libraries.")
	endif(use_wx)
endif(NOT wxWidgets_FOUND)

FIND_PACKAGE(Qt4)
if(NOT QT4_FOUND)
	if(use_qt)
		message(SEND_ERROR "Couldn't find Qt4 libraries.")
	endif(use_qt)
endif(NOT QT4_FOUND)

include(FindPythonInterp)
if(NOT PYTHONINTERP_FOUND)
	if(use_python)
		message(SEND_ERROR "Couldn't find python interpreter.")
	endif(use_python)
endif(NOT PYTHONINTERP_FOUND)
include(FindPythonLibs)
if(NOT PYTHONLIBS_FOUND)
	if(use_python)
		message(SEND_ERROR "Couldn't find python development libraries.")
	endif(use_python)
endif(NOT PYTHONLIBS_FOUND)

include(FindSWIG)
if(NOT SWIG_FOUND)
	if(use_python)
		message(SEND_ERROR "Couldn't find swig needed for interfaces compiling.")
	endif(use_python)
endif(NOT SWIG_FOUND)

find_path(OCTAVE_INCLUDE_DIR octave/oct.h)
if(NOT OCTAVE_INCLUDE_DIR)
	if(use_octave)
		message(SEND_ERROR "Couldn't find octave/oct.h needed for octave interfaces compiling.")
	endif(use_octave)
endif(NOT OCTAVE_INCLUDE_DIR)

find_program(oct_prog octave)
if(NOT oct_prog)
	if(use_octave)
		message(SEND_ERROR "Couldn't find octave needed for octave interfaces compiling.")
	endif(use_octave)
endif(NOT oct_prog)

find_program(oct_mk mkoctfile)
if(NOT oct_mk)
	if(use_octave)
		message(SEND_ERROR "Couldn't find mkoctfile needed for octave interfaces compiling.")
	endif(use_octave)
endif(NOT oct_mk)
#execute_process(
#	COMMAND ${oct_prog} -q --eval \'strcat\(octave_config_info\("canonical_host_type"\), "-", octave_config_info\("api_version"\)\)'|sed -e 's/ans = //'
#	OUTPUT_VARIABLE OCTAVE_ARCH
#	)
#message(SEND_ERROR "${OCTAVE_ARCH}")

find_program(findmi makeinfo)
if(NOT findmi)
	if(use_doc)
		message(SEND_ERROR "Couldn't find makeinfo needed for documentation building.")
	endif(use_doc)
endif(NOT findmi)
find_program(findth texi2html)
if(NOT findth)
	if(use_doc)
		message(SEND_ERROR "Couldn't find texi2html needed for documentation building.")
	endif(use_doc)
endif(NOT findth)
find_program(findtp texi2pdf)
if(NOT findtp)
	if(use_doc)
		message(SEND_ERROR "Couldn't find texi2pdf needed for documentation building.")
	endif(use_doc)
endif(NOT findtp)

if(UNIX)
        add_definitions(-DNO_COLOR_ARRAY)
endif(UNIX)

if(WIN32)
#        add_definitions(-DWIN32 -D_MSC_VER)
        add_definitions(-DWIN32)
endif(WIN32)

if(NOT WIN32)
set(MGL_DATA_PATH "${CMAKE_INSTALL_PREFIX}/share/mathgl")
set(MGL_DOC_PATH "${CMAKE_INSTALL_PREFIX}/share/doc/mathgl")
set(MGL_FONT_PATH "${MGL_DATA_PATH}/fonts")
install(DIRECTORY fonts/ DESTINATION ${MGL_FONT_PATH}
                        PATTERN ".svn" EXCLUDE
                        PATTERN "*.vfm")
endif(NOT WIN32)

add_subdirectory( mgl )
add_subdirectory( widgets )
add_subdirectory( utils )
add_subdirectory( examples )
add_subdirectory( include )
add_subdirectory( lang )
add_subdirectory( texinfo )

=== lang/DESCRIPTION ===
Name: mathgl
Version: 1.9
Date: 2009-03-02
Author: Alexey Balakin
Maintainer: Dmitry Kulagin
Title: MathGL
Description: Data plotting library
Depends: octave (>= 2.9.12)
Autoload: yes
SystemRequirements: ...
License: GPL
Keywords: ...
Url: http://octave.sf.net http://mathgl.sf.net

=== utils/CMakeLists.txt ===
if(use_gsl)
#	target_link_libraries(mgl ${GSL_LIB} ${GSL_CBLAS_LIB} )
	add_definitions(-DHAVE_GSL)
	include_directories(${GSL_INCLUDE_DIR})
else(use_gsl)
	add_definitions(-DNO_GSL)
endif(use_gsl)

add_executable(mgl2png mgl2png.cpp)
target_link_libraries(mgl2png mgl)

add_executable(mgl2eps mgl2eps.cpp)
target_link_libraries(mgl2eps mgl)

add_executable(mgl2svg mgl2svg.cpp)
target_link_libraries(mgl2svg mgl)

add_executable(mgl2cpp mgl2cpp.cpp)
target_link_libraries(mgl2cpp mgl)

install(
	TARGETS mgl2png mgl2eps mgl2svg mgl2cpp
	RUNTIME DESTINATION bin
)

if(use_gif)
add_executable(mgl2gif mgl2gif.cpp)
target_link_libraries(mgl2gif mgl)
install(
	TARGETS mgl2gif
	RUNTIME DESTINATION bin
)
endif(use_gif)

if(use_fltk)
add_executable(mglview mglview.cpp)
target_link_libraries(mglview mgl-fltk mgl)
install(
	TARGETS mglview
	RUNTIME DESTINATION bin
)
endif(use_fltk)

=== widgets/CMakeLists.txt ===
if(use_gsl)
#	target_link_libraries(mgl ${GSL_LIB} ${GSL_CBLAS_LIB} )
	add_definitions(-DHAVE_GSL)
	include_directories(${GSL_INCLUDE_DIR})
else(use_gsl)
	add_definitions(-DNO_GSL)
endif(use_gsl)

if(use_fltk)
	add_definitions(-DHAVE_FLTK)
	include_directories(${FLTK_INCLUDE_DIR})
	add_library(mgl-fltk SHARED mgl_fltk.cpp)
	add_library(mgl-fltk-static STATIC mgl_fltk.cpp)
	set_target_properties(mgl-fltk-static PROPERTIES OUTPUT_NAME "mgl-fltk")
	set_target_properties(mgl-fltk PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	set_target_properties(mgl-fltk-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	target_link_libraries(mgl-fltk ${FLTK_LIBRARIES} mgl)
	set_target_properties(mgl-fltk PROPERTIES SOVERSION 5.0.0)
	install(
		TARGETS mgl-fltk mgl-fltk-static
		RUNTIME DESTINATION bin
		ARCHIVE DESTINATION lib
		LIBRARY DESTINATION lib
	)
endif(use_fltk)

if(use_glut)
	add_definitions(-DHAVE_GLUT)
	include_directories(${GLUT_INCLUDE_DIR})
	add_library(mgl-glut SHARED mgl_glut.cpp)
	add_library(mgl-glut-static STATIC mgl_glut.cpp)
	set_target_properties(mgl-glut-static PROPERTIES OUTPUT_NAME "mgl-glut")
	set_target_properties(mgl-glut PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	set_target_properties(mgl-glut-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	target_link_libraries(mgl-glut ${GLUT_LIBRARIES} ${OPENGL_LIBRARIES} mgl)
	set_target_properties(mgl-glut PROPERTIES SOVERSION 5.0.0)
	install(
		TARGETS mgl-glut mgl-glut-static
		RUNTIME DESTINATION bin
		ARCHIVE DESTINATION lib
		LIBRARY DESTINATION lib
	)
endif(use_glut)

if(use_wx)
	include(${wxWidgets_USE_FILE})
	add_definitions(-DHAVE_WX)
	add_library(mgl-wx SHARED mgl_wx.cpp)
	add_library(mgl-wx-static STATIC mgl_wx.cpp)
	set_target_properties(mgl-wx-static PROPERTIES OUTPUT_NAME "mgl-wx")
	set_target_properties(mgl-wx PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	set_target_properties(mgl-wx-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	target_link_libraries(mgl-wx ${wxWidgets_LIBRARIES} mgl)
	set_target_properties(mgl-wx PROPERTIES SOVERSION 5.0.0)
	install(
		TARGETS mgl-wx mgl-wx-static
		RUNTIME DESTINATION bin
		ARCHIVE DESTINATION lib
		LIBRARY DESTINATION lib
	)
endif(use_wx)

if(use_qt)
	include(${QT_USE_FILE})
	add_definitions(-DHAVE_QT)
	qt_wrap_cpp(mgl-qt MGL_MOC_FILES ../include/mgl/mgl_qt.h)
	add_library(mgl-qt SHARED mgl_qt.cpp ${MGL_MOC_FILES})
	add_library(mgl-qt-static STATIC mgl_qt.cpp ${MGL_MOC_FILES})
	set_target_properties(mgl-qt-static PROPERTIES OUTPUT_NAME "mgl-qt")
	set_target_properties(mgl-qt PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	set_target_properties(mgl-qt-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	target_link_libraries(mgl-qt ${QT_LIBRARIES} mgl)
	set_target_properties(mgl-qt PROPERTIES SOVERSION 5.0.0)
	install(
		TARGETS mgl-qt mgl-qt-static
		RUNTIME DESTINATION bin
		ARCHIVE DESTINATION lib
		LIBRARY DESTINATION lib
	)
endif(use_qt)

=== debian/changelog ===
mathgl (1.11.1.1-2ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: clean the dependency_libs out of .la files at build
      time
  * Dropped changes, superseded in Debian:
    - debian/python-mathgl.install: Update install path for any python
      version

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 17 Jun 2011 22:45:50 +0000

mathgl (1.11.1.1-2) unstable; urgency=low

  * Try to fix libmgl5 related symbols breakage on all arches

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 22 May 2011 20:50:00 +0200

mathgl (1.11.1.1-1) unstable; urgency=low

  * New upstream version

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Tue, 26 Apr 2011 01:15:00 +0200

mathgl (1.11.0.1-9) unreleased; urgency=low

  * Again try to fix build failure due to broken symbols for several architectures

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 2 Apr 2011 02:05:00 +0200

mathgl (1.11.0.1-8) unstable; urgency=low

  * Try to fix build failure due to broken symbols for several architectures

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Thu, 24 Mar 2011 23:56:00 +0200

mathgl (1.11.0.1-7) unstable; urgency=low

  * Create patch for the removal of the texinfo/mgl_ru.info-* files
  * Update symbols files (Closes: #618235)

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Mon, 14 Mar 2011 00:10:00 +0200

mathgl (1.11.0.1-6) unstable; urgency=low

  * Try to fix build failure due to broken symbols for sparc64

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 5 Mar 2011 21:27:00 +0200

mathgl (1.11.0.1-5) unstable; urgency=low

  * Try to fix build failure due to broken symbols for armel and s390

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Fri, 25 Feb 2011 21:30:00 +0200

mathgl (1.11.0.1-4) unstable; urgency=low

  * Create mixed symbols files for amd64 and i386 with tagged symbols 
    (Closes: #610777)

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 19 Feb 2011 23:10:00 +0200

mathgl (1.11.0.1-3) unstable; urgency=low

  * Upload in unstable
  * Change symbols files for pbuilder --distribution unstable (Closes: #610777)

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 12 Feb 2011 22:14:00 +0200

mathgl (1.11.0.1-2) experimental; urgency=low

  * Update symbols files for pbuilder --distribution experimental.
  * Remove createpngdirectory.patch from series.
  * Apply patch for FTBFS on i386 (Closes: #607539).
  * Add Replaces tags for old mathgl-doc package in debian/control.
  * Various improvements in the debian/rules file.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Mon, 17 Jan 2011 21:43:00 +0200

mathgl (1.11.0.1-1) experimental; urgency=low

  * Correct debian/copyright file.
  * Create proper patches for the changes in the source tree.
  * Add new package for Russian documentation.
  * New upstream release (Closes: #603004).
  * Correct several spelling mistakes in manpages and in lang/numpy.i
  * Create symbols files for libraries.
  * Register documentation to doc-base.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 12 Dec 2010 19:13:00 +0200

=== debian/control ===
Source: mathgl
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>, D Haley <mycae@yahoo.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.2.3~), libltdl-dev, libgsl0-dev, freeglut3-dev, 
 libgl1-mesa-dev | libgl-dev, libpng-dev, libhdf5-serial-dev | libhdf5-dev, 
 libjpeg-dev, libtiff-dev, libfltk-dev, libqt4-dev, libwxgtk2.8-dev, swig, 
 texinfo, texi2html, texlive, texlive-generic-recommended, octave3.2-headers,
 libgif-dev, autoconf, automake, python, python-dev, python-numpy, python-support,
 libhdf4-dev, chrpath
Standards-Version: 3.9.2
Homepage: http://mathgl.sourceforge.net/index.html
Vcs-Git: git://git.debian.org/debian-science/packages/mathgl.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/mathgl.git

Package: mathgl
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl5 (= ${binary:Version})
Description: library for scientific graphs. (utlities and examples)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains MathGL utilities and examples.

Package: mathgl-doc-en
Architecture: all
Section: doc
Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Replaces: mathgl-doc
Description: library for scientific graphs. (English documentation)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the MathGL documentation in English.

Package: mathgl-doc-ru
Architecture: all
Section: doc
Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Replaces: mathgl-doc
Description: library for scientific graphs. (Russian documentation)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the MathGL documentation in Russian.

Package: libmgl5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl-data
Description: library for scientific graphs. (main runtime library)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the shared object files.

Package: libmgl-data
Architecture: all
Section: misc
Depends: ${misc:Depends}
Description: library for scientific graphs. (data files)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the MathGL data files.

Package: libmgl-dev
Architecture: any
Section: libdevel
Depends: libmgl5 (= ${binary:Version}), ${misc:Depends}, libgsl0-dev, libgl1-mesa-dev | libgl-dev, libpng-dev
Description: library for scientific graphs. (development files)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the development files.

Package: libmgl-fltk5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl5 (= ${binary:Version})
Description: library for scientific graphs. (FLTK runtime library)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the FLTK frontend.

Package: libmgl-qt5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl5 (= ${binary:Version})
Description: library for scientific graphs. (Qt runtime library)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the Qt4 frontend.

Package: libmgl-wx5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl5 (= ${binary:Version})
Description: library for scientific graphs. (wxWidgets runtime library)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the wxWidgets frontend.

Package: libmgl-glut5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl5 (= ${binary:Version})
Description: library for scientific graphs. (GLUT runtime library)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package containst the GLUT frontend.

Package: python-mathgl
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: library for scientific graphs. (Python module)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package provides the Python module for mathgl.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v

clean:
	dh_testdir
	rm -f png/*.png
	dh_auto_clean
	dh_clean 

build:
	dh_testdir
	dh_auto_configure -- --enable-all --enable-octave --enable-python
	dh_auto_build
#	dh_auto_test

binary-indep:
	dh_testroot -i
	dh_prep -i
	dh_installdirs -i
	dh_auto_install -i
	dh_install -i
	dh_installdocs -i
	dh_installchangelogs -i
# 	dh_installexamples -i
# 	dh_installman -i
# 	dh_installcatalogs -i
# 	dh_installcron -i
	dh_installdebconf -i
# 	dh_installemacsen -i
# 	dh_installifupdown -i
# 	dh_installinfo -i
	dh_pysupport -i
# 	dh_installinit -i
# 	dh_installmenu -i
# 	dh_installmime -i
# 	dh_installmodules -i
# 	dh_installlogcheck -i
# 	dh_installlogrotate -i
# 	dh_installpam -i
# 	dh_installppp -i
# 	dh_installudev -i
# 	dh_installwm -i
# 	dh_installxfonts -i
# 	dh_bugfiles -i
# 	dh_lintian -i
# 	dh_gconf -i
# 	dh_icons -i
# 	dh_perl -i
# 	dh_usrlocal -i
# 	dh_link -i
	dh_compress -i
	dh_fixperms -i
# 	dh_strip -i
# 	dh_makeshlibs -i
# 	dh_shlibdeps -i
#	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: 
	dh_testroot -a
	dh_prep -a
	dh_installdirs -a
	dh_auto_install -a
	rm -f debian/tmp/usr/bin/*_example
	for file in debian/tmp/usr/lib/*.la; do \
		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
	done
	chrpath -d debian/tmp/usr/lib/*so.5
	chrpath -d debian/tmp/usr/lib/python*/dist-packages/_mathgl.so
	dh_install -a
	dh_installdocs -a
	dh_installchangelogs -a
#	dh_installexamples -a
	dh_installman -a
#	dh_installcatalogs -a
#	dh_installcron -a
	dh_installdebconf -a
# 	dh_installemacsen -a
# 	dh_installifupdown -a
# 	dh_installinfo -a
	dh_pysupport -a
# 	dh_installinit -a
# 	dh_installmenu -a
# 	dh_installmime -a
# 	dh_installmodules -a
# 	dh_installlogcheck -a
# 	dh_installlogrotate -a
# 	dh_installpam -a
# 	dh_installppp -a
# 	dh_installudev -a
# 	dh_installwm -a
# 	dh_installxfonts -a
# 	dh_bugfiles -a
# 	dh_lintian -a
# 	dh_gconf -a
# 	dh_icons -a
# 	dh_perl -a
# 	dh_usrlocal -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_strip -a
	dh_makeshlibs -a
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep

## mathgl 1.11.2

=== examples/CMakeLists.txt ===
if(use_gsl)
#	target_link_libraries(mgl ${GSL_LIB} ${GSL_CBLAS_LIB} )
	add_definitions(-DHAVE_GSL)
	include_directories(${GSL_INCLUDE_DIR})
else(use_gsl)
	add_definitions(-DNO_GSL)
endif(use_gsl)

add_executable(mgl_example wnd_samples.cpp full_test.cpp)
target_link_libraries(mgl_example mgl)
install(
	TARGETS mgl_example
	RUNTIME DESTINATION bin
)

if(use_fltk)
	add_executable(mgl_fltk_example wnd_samples.cpp fltk_example.cpp)
	target_link_libraries(mgl_fltk_example mgl-fltk)
	add_executable(test main.cpp)
	target_link_libraries(test mgl-fltk)
	install(
		TARGETS mgl_fltk_example
		RUNTIME DESTINATION bin
	)
endif(use_fltk)

if(use_glut)
	add_executable(mgl_glut_example wnd_samples.cpp glut_example.cpp)
	target_link_libraries(mgl_glut_example mgl-glut)
	install(
		TARGETS mgl_glut_example
		RUNTIME DESTINATION bin
	)
endif(use_glut)

if(use_wx)
	include(${wxWidgets_USE_FILE})
	add_executable(mgl_wx_example wnd_samples.cpp wx_example.cpp)
	target_link_libraries(mgl_wx_example ${wxWidgets_LIBRARIES} mgl-wx)
	install(
		TARGETS mgl_wx_example
		RUNTIME DESTINATION bin
	)
endif(use_wx)

if(use_qt)
	include(${QT_USE_FILE})
	qt_wrap_cpp(mgl_qt_example MGL_MOC_EX_FILES ../include/mgl/mgl_qt.h)
	add_executable(mgl_qt_example wnd_samples.cpp qt_example.cpp ${MGL_MOC_EX_FILES})
	target_link_libraries(mgl_qt_example ${QT_LIBRARIES} mgl-qt)
	install(
		TARGETS mgl_qt_example
		RUNTIME DESTINATION bin
	)
endif(use_qt)

=== include/CMakeLists.txt ===
if(use_double)
	set(MGL_USE_DOUBLE 1)
else(use_double)
	set(MGL_USE_DOUBLE 0)
endif(use_double)

configure_file(${CMAKE_SOURCE_DIR}/include/config.h.in ${CMAKE_SOURCE_DIR}/include/mgl/config.h)

set(MGL_INCLUDE_PATH "${CMAKE_INSTALL_PREFIX}/include/mgl")
install(DIRECTORY mgl/ DESTINATION ${MGL_INCLUDE_PATH}
                        PATTERN ".svn" EXCLUDE
                        PATTERN "mgl_fltk.h" EXCLUDE
                        PATTERN "mgl_glut.h" EXCLUDE
                        PATTERN "mgl_wx.h" EXCLUDE
                        PATTERN "mgl_qt.h" EXCLUDE
                        PATTERN "*.fs"
                        PATTERN "*.pas"
                        PATTERN "*.h")

if(use_fltk)
	install(FILES mgl/mgl_fltk.h DESTINATION ${MGL_INCLUDE_PATH})
endif(use_fltk)
if(use_glut)
	install(FILES mgl/mgl_glut.h DESTINATION ${MGL_INCLUDE_PATH})
endif(use_glut)
if(use_wx)
	install(FILES mgl/mgl_wx.h DESTINATION ${MGL_INCLUDE_PATH})
endif(use_wx)
if(use_qt)
	install(FILES mgl/mgl_qt.h DESTINATION ${MGL_INCLUDE_PATH})
endif(use_qt)

=== lang/CMakeLists.txt ===
if(use_python)
	add_custom_command(OUTPUT mgl_python.cpp mathgl.py
		COMMAND ${SWIG_EXECUTABLE} -python -c++ -I${CMAKE_SOURCE_DIR}/include -o mgl_python.cpp ${CMAKE_SOURCE_DIR}/lang/mgl.i
		MAIN_DEPENDENCY mgl.i
		IMPLICIT_DEPENDS CXX ../include/mgl/mgl_c.h ../include/mgl/mgl_data.h
#		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/lang
	)
	add_custom_target(_mathgl.so ALL
		COMMAND CMAKE_SOURCE_DIR=${CMAKE_SOURCE_DIR} ${PYTHON_EXECUTABLE} ${CMAKE_SOURCE_DIR}/setup.py build
		DEPENDS ${CMAKE_BINARY_DIR}/lang/mathgl.py ${CMAKE_BINARY_DIR}/lang/mgl_python.cpp
		WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
	)
	install(CODE "execute_process(COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_SOURCE_DIR}/setup.py install --prefix=${CMAKE_INSTALL_PREFIX} WORKING_DIRECTORY ${CMAKE_BINARY_DIR} )")
endif(use_python)

=== mgl/CMakeLists.txt ===
set(mgl_src 
mgl_1d.cpp     mgl_combi.cpp     mgl_def_font.cpp  mgl_fit.cpp   mgl_parse.cpp
mgl_2d.cpp     mgl_cont.cpp      mgl_eps.cpp       mgl_flow.cpp  mgl_pde.cpp
mgl_3d.cpp     mgl_crust.cpp     mgl_evalc.cpp     mgl_font.cpp  mgl_tex_table.cpp
mgl_ab.cpp     mgl_data_cf.cpp   mgl_eval.cpp      mgl_gl.cpp    mgl_vect.cpp
mgl_addon.cpp  mgl_data.cpp      mgl_exec.cpp      mgl_idtf.cpp  mgl_zb2.cpp
mgl_axis.cpp   mgl_data_io.cpp   mgl_export.cpp    mgl_zb.cpp    mgl_evalp.cpp
mgl_c.cpp      mgl_data_png.cpp  mgl_f.cpp         mgl_main.cpp
)

add_library(mgl SHARED ${mgl_src})
add_library(mgl-static STATIC ${mgl_src})
set_target_properties(mgl-static PROPERTIES OUTPUT_NAME "mgl")
set_target_properties(mgl PROPERTIES CLEAN_DIRECT_OUTPUT 1)
set_target_properties(mgl-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)

if(use_u3d)
#	include_directories( IDTFGen ${U3D_INCLUDE_DIR} )
	add_definitions(-DHAVE_U3D)
	target_link_libraries(mgl ${U3D_LIB} )
	target_link_libraries(mgl-static ${U3D_LIB} )
	include_directories(${U3D_INCLUDE_DIR})
	if(HPDF_INCLUDE_DIR AND HPDF_LIB)
		include_directories(${HPDF_INCLUDE_DIR})
		target_link_libraries(mgl ${HPDF_LIB} )
		add_definitions(-DHAVE_HPDF_H)
	endif(HPDF_INCLUDE_DIR AND HPDF_LIB)
endif(use_u3d)

if(use_qt)
	add_definitions(-DHAVE_QT)
endif(use_qt)
if(use_wx)
	add_definitions(-DHAVE_WX)
endif(use_wx)
if(use_fltk)
	add_definitions(-DHAVE_FLTK)
endif(use_fltk)
if(use_glut)
	add_definitions(-DHAVE_GLUT)
endif(use_glut)

if(use_pthread)
	target_link_libraries(mgl ${CMAKE_THREAD_LIBS_INIT})
	add_definitions(-DHAVE_PTHREAD)
endif(use_pthread)

if(use_jpeg)
	target_link_libraries(mgl ${JPEG_LIBRARIES})
	add_definitions(-DHAVE_JPEG)
	include_directories(${JPEG_INCLUDE_DIR})
endif(use_jpeg)

if(use_gif)
	target_link_libraries(mgl ${GIF_LIBRARIES})
	add_definitions(-DHAVE_GIF)
	include_directories(${GIF_INCLUDE_DIR})
endif(use_gif)

if(use_hdf5 OR use_hdf5_18)
	target_link_libraries(mgl ${HDF5_LIB})
	add_definitions(-DHAVE_HDF5)
	if(use_hdf5)
		add_definitions(-DH5_USE_16_API)
	endif(use_hdf5)
	include_directories(${HDF5_INCLUDE_DIR})
endif(use_hdf5 OR use_hdf5_18)

if(use_hdf4)
	target_link_libraries(mgl ${HDF4_LIB})
	add_definitions(-DHAVE_HDF4)
	include_directories(${HDF4_INCLUDE_DIR})
endif(use_hdf4)

if(use_gsl)
	target_link_libraries(mgl ${GSL_LIB} ${GSL_CBLAS_LIB} )
	add_definitions(-DHAVE_GSL)
	include_directories(${GSL_INCLUDE_DIR})
else(use_gsl)
	add_definitions(-DNO_GSL)
endif(use_gsl)

target_link_libraries(mgl ${OPENGL_LIBRARIES} ${PNG_LIBRARIES} m)
include_directories(${OPENGL_INCLUDE_DIR} ${PNG_INCLUDE_DIR})
file(TO_NATIVE_PATH $(MGL_FONT_PATH) MGL_FONT_PATH_SYS)
add_definitions(-DMGL_FONT_PATH="${MGL_FONT_PATH_SYS}")

if(UNIX)
	add_definitions(-DNO_COLOR_ARRAY)
endif(UNIX)

set_target_properties(mgl PROPERTIES SOVERSION 5.0.0)
install(
	TARGETS mgl mgl-static
	RUNTIME DESTINATION bin
	ARCHIVE DESTINATION lib
	LIBRARY DESTINATION lib
)

=== texinfo/CMakeLists.txt ===

# Warning!!!!!
# new files and destination for html docs.

if(use_doc)
	add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/texinfo/png/all.png
		COMMAND LD_LIBRARY_PATH=${CMAKE_BINARY_DIR}/mgl ${CMAKE_BINARY_DIR}/examples/mgl_example
		COMMAND echo "" > ${CMAKE_SOURCE_DIR}/texinfo/png/all.png
		MAIN_DEPENDENCY ${CMAKE_BINARY_DIR}/examples/mgl_example
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/texinfo/png
	)
	set_source_files_properties(${CMAKE_BINARY_DIR}/examples/mgl_example PROPERTIES GENERATED 1)
	ADD_CUSTOM_TARGET(gen_all_png DEPENDS ${CMAKE_SOURCE_DIR}/texinfo/png/all.png)
	ADD_DEPENDENCIES(gen_all_png mgl_example)
	set(list_texi_files_en mathgl_en.texi appendix_en.texi core_en.texi example_en.texi mgl_en.texi samples_en.texi class_en.texi data_en.texi overview_en.texi)
	set(list_texi_files_ru mathgl_ru.texi appendix_ru.texi core_ru.texi example_ru.texi mgl_ru.texi samples_ru.texi class_ru.texi data_ru.texi overview_ru.texi)
	add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/texinfo/mathgl_en.info ${CMAKE_SOURCE_DIR}/texinfo/mathgl_ru.info
		COMMAND ${findmi} --no-validate mathgl_en.texi
		COMMAND ${findmi} --no-validate mathgl_ru.texi
		DEPENDS ${CMAKE_SOURCE_DIR}/texinfo/png/all.png
		DEPENDS ${list_texi_files_en}
		DEPENDS ${list_texi_files_ru}
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/texinfo
	)
	add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/texinfo/mathgl_en.pdf ${CMAKE_SOURCE_DIR}/texinfo/mathgl_ru.pdf
		COMMAND ${findtp} mathgl_en.texi
		COMMAND ${findtp} mathgl_en.texi
		COMMAND ${findtp} mathgl_en.texi
#		COMMAND ${findtp} mathgl_ru.texi
#		COMMAND ${findtp} mathgl_ru.texi
#		COMMAND ${findtp} mathgl_ru.texi
		DEPENDS ${CMAKE_SOURCE_DIR}/texinfo/png/all.png
		DEPENDS ${list_texi_files_en}
		DEPENDS ${list_texi_files_ru}
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/texinfo
	)
	add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/texinfo/mathgl_en ${CMAKE_SOURCE_DIR}/texinfo/mathgl_ru
		COMMAND ${findth} --split=chapter mathgl_en.texi
		COMMAND ${findth} --split=chapter mathgl_ru.texi
		DEPENDS ${CMAKE_SOURCE_DIR}/texinfo/png/all.png
		DEPENDS ${list_texi_files_en}
		DEPENDS ${list_texi_files_ru}
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/texinfo
	)
	add_custom_target(documentation ALL
		DEPENDS ${CMAKE_SOURCE_DIR}/texinfo/mathgl_en.pdf
		DEPENDS ${CMAKE_SOURCE_DIR}/texinfo/mathgl_en.info
		DEPENDS ${CMAKE_SOURCE_DIR}/texinfo/mathgl_en
#		DEPENDS ${CMAKE_SOURCE_DIR}/texinfo/mathgl_ru.pdf
		DEPENDS ${CMAKE_SOURCE_DIR}/texinfo/mathgl_ru.info
		DEPENDS ${CMAKE_SOURCE_DIR}/texinfo/mathgl_ru
	)
	add_custom_target(clean
		COMMAND rm -f mathgl*.[^t]* mathgl*.t[^e]* mathgl*.te[^x]* mathgl*.tex[^i] ${CMAKE_SOURCE_DIR}/texinfo/png/*.png mathgl.info*
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/texinfo
	)
	install(DIRECTORY ./ DESTINATION ${MGL_DOC_PATH}
			FILES_MATCHING PATTERN ".svn" EXCLUDE
			PATTERN "CMakeFiles" EXCLUDE
			PATTERN "*.png"
			PATTERN "*.html"
			PATTERN "./mathgl*.info*"
			PATTERN "./mathgl*.pdf")
endif(use_doc)

=== debian/changelog ===
mathgl (1.11.2-6) unstable; urgency=low

  * Fix FTBFS for sparc (Closes: 642654).  

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Mon, 26 Sep 2011 16:23:12 +0300

mathgl (1.11.2-5) unstable; urgency=low

  * Resolve differences for all non-optional symbols, in symbols files for ia64,
    sparc and sh4 architectures (Closes: 642654).

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Mon, 26 Sep 2011 10:25:00 +0300

mathgl (1.11.2-4) unstable; urgency=low

  * Add python-numpy to Depnds of python-mathgl in debian/control and add
    dh_numpy in binary-arch in debian/rules (Closes: 641793).
  * Ammend symbols files for ia64, sparc and sh4 architectures (Closes: 642654).

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 24 Sep 2011 23:16:00 +0300

mathgl (1.11.2-3) unstable; urgency=low

  * Replace libfltk-dev with libfltk1.3-dev | libfltk-dev in debian/control 
    Build-Depends (Closes: #638834).
  * Ammend symbols files for s390x architecture (Closes: 639492).

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Wed, 7 Sep 2011 06:04:00 +0300

mathgl (1.11.2-2) unstable; urgency=low

  * Add debian/source/options file in order to avoid the generation of unneeded debian-
    changes patch, due to the creation of extra file config.log during build.
  * Ammend symbols files.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Thu, 18 Aug 2011 20:48:00 +0300

mathgl (1.11.2-1) unstable; urgency=low

  * Incorporate changes due to the last two NMU's.
  * New upstream version.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Tue, 28 Jun 2011 17:01:00 +0200

mathgl (1.11.1.1-2.2) unstable; urgency=low

  * Non-maintainer upload (closes: #610777).
  * debian/libmgl-qt5.symbols: _ZN10QByteArrayD1Ev is needed on sparc and
    ia64, so add it as optional.
  * debian/libmgl-wx5.symbols: three destructors known to be undefined on
    armel/armhf are also not defined on ia64 or sparc, so mark these as
    optional also.  Destructors of foreign classes are not part of the
    library ABI, so it's fine to ignore these.

 -- Steve Langasek <vorlon@debian.org>  Sun, 19 Jun 2011 07:57:43 +0000

mathgl (1.11.1.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix library symbols files (closes: #610777):
    - debian/libmgl-qt5.symbols: drop _ZN10QByteArrayD2Ev, which is not
      present on *any* architecture anymore.
    - debian/libmgl-fltk5.symbols: _ZN9Fl_PixmapC2EPKPKc is not present on
      ia64 or sparc and never has been.
    - debian/libmgl5.symbols:
      + _ZN7mglFuncD1Ev is present on all architectures, drop the
        architecture list (fixing the 'kfeebsd' typo that caused a build
        failure on kfreebsd-amd64).
      + _ZNSt15basic_stringbufIcSt11char_traitsIcESaIcEED2Ev,
        _ZN8u3dLightD2Ev: symbols not seen on *any* archs, drop.
      + Drop 18 symbols whose exclusion list included all 15 architectures
        that have been tested.
      + Other symbols that are template instantiations are now marked as
        optional symbols instead of tagged with an arch list, since they are
        not part of the ABI and will come and go based on the compiler
        version used, *not* just on the architecture.
      + If there are 8 or more architectures in the arch qualifier, invert
        it.  In some cases this reveals that certain symbols are actually
        64-bit specific - so infer that not-yet-tested 32-bit archs follow
        the pattern.
    - debian/*.symbols: any symbols marked for armel should also be marked
      for armhf.
  * debian/rules: clean the dependency_libs out of .la files at build
    time, per Policy 10.2.  Closes: #620629.

 -- Steve Langasek <vorlon@debian.org>  Sat, 18 Jun 2011 07:33:55 +0000

mathgl (1.11.1.1-3) unreleased; urgency=low

  * Further attempt to fix symbol breakages

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 29 May 2011 19:41:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: mathgl
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>, D Haley <mycae@yahoo.com>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.2.3~), libltdl-dev, libgsl0-dev, freeglut3-dev, 
  libgl1-mesa-dev | libgl-dev, libpng-dev, libhdf5-serial-dev | libhdf5-dev, 
- libjpeg-dev, libtiff-dev, libfltk-dev, libqt4-dev, libwxgtk2.8-dev, swig, 
+ libjpeg-dev, libtiff-dev, libfltk1.3-dev | libfltk-dev, libqt4-dev, libwxgtk2.8-dev, swig, 
  texinfo, texi2html, texlive, texlive-generic-recommended, octave3.2-headers,
  libgif-dev, autoconf, automake, python, python-dev, python-numpy, python-support,
  libhdf4-dev, chrpath
@@ -151,7 +150,7 @@
 Package: python-mathgl
 Architecture: any
 Section: python
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-numpy
 Description: library for scientific graphs. (Python module)
  A free cross-platform library of fast C++ routines for plotting data in up
  to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,10 @@
 	dh_auto_clean
 	dh_clean 
 
-build:
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp:
 	dh_testdir
 	dh_auto_configure -- --enable-all --enable-octave --enable-python
 	dh_auto_build
@@ -90,6 +93,7 @@
 # 	dh_installifupdown -a
 # 	dh_installinfo -a
 	dh_pysupport -a
+	dh_numpy -a
 # 	dh_installinit -a
 # 	dh_installmenu -a
 # 	dh_installmime -a
